<?php
$cate_id = "BASE_INSP";

include_once "{$_SERVER['DOCUMENT_ROOT']}/common.inc.php";
include_once _SVC_INC_PATH_ . "/auth_check.php";
include_once _HOME_INC_PATH_ . "/ajax_init.php";


if (!_notAuth("R")) {/************ 권한체크*/
  switch ($_REQUEST['mode']) {
    case "getInspList":
      $sql = "USP_B_INSP_ITEM_S10";

      $params = array(
        "INSP_ITEM" => $_REQUEST['INSP_ITEM'] ?: "",
      );

      $rst = $baseObj->DB->exec($sql, $params);

      $rows = array();
      if ($rst) {
        $retval['code'] = true;
        while ($row = $baseObj->DB->fetch_array($rst)) {
          $rows[] = $row;
        };

        $retval['data'] = $rows;
        $retval['mesg'] = '정상 동작 되었습니다.';
      } else {
        $retval['code'] = false;
      }
      break;


    case "putInsp":
      if( _notAuth("W") ) break; /************ 권한체크*/

      $_REQUEST['reqdata'] = json_decode($_REQUEST['reqdata']);

      $rst = true;
      foreach( $_REQUEST['reqdata'] as $data ){
        $data = (array)$data;

        // $cdata = $data;
        // unset($cdata['_STATUS_']);
        // unset($cdata['USEFLAG']);

        // if( empty(array_filter($cdata)) ){
        //   continue;
        //   // if( $data['_STATUS_'] == 'I' ) continue; //빈열제거
        //   // if( $data['_STATUS_'] == 'U' ) $data['_STATUS_'] = 'D'; //빈열제거
        // }

        


        if( $data['INSP_ITEM'] && $data['_STATUS_'] == 'D' ){
           $sql = "USP_B_INSP_ITEM_D10";
           $params = Array(
             "INSP_ITEM" => $data['INSP_ITEM'],
           );
          }else{
            if( $data['INSP_ITEM'] && $data['_STATUS_'] == 'U' ) {
              $params = Array(
                "INSP_ITEM" => $data['INSP_ITEM'],
              );

              $sql = "USP_B_INSP_ITEM_U10";
            }else{
              $params = Array();
              $sql = "USP_B_INSP_ITEM_I10";
            }

            $_REQUEST['RS_CODE'] = "";
            $_REQUEST['RS_MSG'] = "";
            $params = array_merge($params,array(
              "INSP_NAME"    => $data['INSP_NAME']?:"",
              "INSP_METH"    => $data['INSP_METH']?:"",
              "INSP_TOOL"    => $data['INSP_TOOL']?:"",
              "OKNG_FLG"     => $data['OKNG_FLG']?:'N',
              "USEFLAG"      => $data['USEFLAG']?:"",
              "MAKE_USER_ID" => $GLOBALS['_Umem']['member_id'],

              "RS_CODE"      => array(&$_REQUEST['RS_CODE'], SQLSRV_PARAM_OUT),
              "RS_MSG"       => array(&$_REQUEST['RS_MSG'], SQLSRV_PARAM_OUT)
            ));
            // print_r($params);

            // 기본키 누락시
            // if(!$data['INSP_ITEM'] || $data['INSP_ITEM']=="") { $_REQUEST['RS_MSG'] = cUtil\Mlang::getText("검사항목이 누락된 행은 반영되지 않습니다."); $rst=false; break; }

            // 길이 제한
            //if(strlen($data['INSP_ITEM']) > 20){$_REQUEST['RS_MSG'] = cUtil\Mlang::getText("검사항목은 20자 내로 작성해주세요."); $rst=false; break;}
            if(strlen($data['INSP_NAME']) > 225){$_REQUEST['RS_MSG'] = cUtil\Mlang::getText("검사항목명은 225자 내로 작성해주세요."); $rst=false; break;}
            if(strlen($data['INSP_METH']) > 5){$_REQUEST['RS_MSG'] = cUtil\Mlang::getText("검사항목은 5자 내로 작성해주세요."); $rst=false; break;}
          }
        

        $rst = $baseObj->DB->exec($sql, $params);
      }

      if($rst && !$_REQUEST['RS_CODE']){
        $retval['code'] = true;
      }else{
        $retval['code'] = false;
        $retval['mesg']  = $_REQUEST['RS_MSG'];
      }
    break;
  }
}



if (!$_REQUEST['no_echo']) {
  echo json_encode($retval);
}